package com.sifang.modules.esign.query;

public class FlowPathEndReq {

    private String action;//标记该通知的业务类型，该通知固定为：SIGN_FLOW_COMPLETE

    private String signFlowId;//签署流程ID

    private String signFlowTitle;//签署流程标题


    /**
     * 签署流程最终状态
     *
     * 2 - 已完成（所有签署方完成签署）
     *
     * 3 - 已撤销（发起方撤销签署任务）
     *
     * 5 - 已过期（签署截止日到期后触发）
     *
     * 7 - 已拒签（签署方拒绝签署）
    */
    private String signFlowStatus;
    //当流程非签署完成，其他原因结束时，附加原因描述
    private String statusDescription;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    public String getSignFlowTitle() {
        return signFlowTitle;
    }

    public void setSignFlowTitle(String signFlowTitle) {
        this.signFlowTitle = signFlowTitle;
    }

    public String getSignFlowStatus() {
        return signFlowStatus;
    }

    public void setSignFlowStatus(String signFlowStatus) {
        this.signFlowStatus = signFlowStatus;
    }

    public String getStatusDescription() {
        return statusDescription;
    }

    public void setStatusDescription(String statusDescription) {
        this.statusDescription = statusDescription;
    }
}
